#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QListWidget>
#include <QPushButton>
#include <QSettings>
#include <QMessageBox>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

protected:
    void resizeEvent(QResizeEvent *event) override;
    void closeEvent(QCloseEvent *event) override;

private slots:
    void saveOrder();

private:
    void initUI();
    void initWindowSize();
    void loadConfig();
    bool checkModsDirectory();
    void loadData(const QString &modDir);
    void addListItem(const QString &modName, const QString &tooltipText, int position = -1, bool isNew = false);

    Ui::MainWindow *ui;
    QListWidget *listWidget;
    QPushButton *saveButton;
    QSettings *settings;
    QString modDir;
    QStringList initialOrder;
    QString sptBaseDir;
    QString addNewItemsTo;
    bool reminder;
    int width;
    int height;
};

#endif // MAINWINDOW_H
